#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>

typedef struct maillonDept
{
	char dept[31];
	int nbP;
	char respAd[31];
	struct maillonDept *suiv;

} MaillonDept,*ListeDept;

typedef struct
{
	char nom[31];
	ListeDept lDept;

}VilleIUT;

int chargement(VilleIUT *tiut[],int *tMax);
MaillonDept lireDep(FILE *flot);
void afficherDep(MaillonDept m);
void afficherVille(VilleIUT v);
void afficherTIUT(VilleIUT *tiut[], int tLog);
int rechercheIUT(VilleIUT *tiut[], int tLog, char ville[], int *trouve);
int insererDept(VilleIUT v, MaillonDept *m);
MaillonDept* rechercheDept(ListeDept lDept, int *trouve, char nom[]);
VilleIUT** reallocation(VilleIUT *tiut[], int *tMax);
void globale(void);